be.vlaanderen.mercurius.efact.df019.v1

## Class RectificationInformation

- java.lang.Object
- - be.vlaanderen.mercurius.efact.df019.v1.RectificationInformation

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:34:27+02:00",
                 comments="JAXB RI v2.3.7")
      public class RectificationInformation
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Ssin" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}SsinType"/>
               <element name="RectificationNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="RectificationInvoiceNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Context" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}ContextType"/>
               <choice>
                 <element name="EnterpriseNumber" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}EnterpriseNumberType"/>
                 <element name="FlemishInstitution" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}HcoNumberType"/>
               </choice>
               <element name="TriggerSource">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="PCRS"/>
                     <enumeration value="FA"/>
                     <enumeration value="MDA"/>
                     <enumeration value="MANUAL"/>
                     <enumeration value="AUTOMATIC"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="RectificationDateTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
               <element name="RectificationMotivation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RectificationInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContextType` | `getContext()` Gets the value of the context property.
    `String` | `getEnterpriseNumber()` Gets the value of the enterpriseNumber property.
    `String` | `getFlemishInstitution()` Gets the value of the flemishInstitution property.
    `org.joda.time.DateTime` | `getRectificationDateTime()` Gets the value of the rectificationDateTime property.
    `String` | `getRectificationInvoiceNumber()` Gets the value of the rectificationInvoiceNumber property.
    `String` | `getRectificationMotivation()` Gets the value of the rectificationMotivation property.
    `String` | `getRectificationNumber()` Gets the value of the rectificationNumber property.
    `String` | `getSsin()` Gets the value of the ssin property.
    `String` | `getTriggerSource()` Gets the value of the triggerSource property.
    `void` | `setContext(ContextType value)` Sets the value of the context property.
    `void` | `setEnterpriseNumber(String value)` Sets the value of the enterpriseNumber property.
    `void` | `setFlemishInstitution(String value)` Sets the value of the flemishInstitution property.
    `void` | `setRectificationDateTime(org.joda.time.DateTime value)` Sets the value of the rectificationDateTime property.
    `void` | `setRectificationInvoiceNumber(String value)` Sets the value of the rectificationInvoiceNumber property.
    `void` | `setRectificationMotivation(String value)` Sets the value of the rectificationMotivation property.
    `void` | `setRectificationNumber(String value)` Sets the value of the rectificationNumber property.
    `void` | `setSsin(String value)` Sets the value of the ssin property.
    `void` | `setTriggerSource(String value)` Sets the value of the triggerSource property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RectificationInformation

          public RectificationInformation()

  - ### Method Detail

    - #### getSsin

          public String getSsin()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSsin

          public void setSsin(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRectificationNumber

          public String getRectificationNumber()

      Gets the value of the rectificationNumber property.
      Returns:
        possible object is `String`

    - #### setRectificationNumber

          public void setRectificationNumber(String value)

      Sets the value of the rectificationNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRectificationInvoiceNumber

          public String getRectificationInvoiceNumber()

      Gets the value of the rectificationInvoiceNumber property.
      Returns:
        possible object is `String`

    - #### setRectificationInvoiceNumber

          public void setRectificationInvoiceNumber(String value)

      Sets the value of the rectificationInvoiceNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getContext

          public ContextType getContext()

      Gets the value of the context property.
      Returns:
        possible object is `ContextType`

    - #### setContext

          public void setContext(ContextType value)

      Sets the value of the context property.
      Parameters:
        `value` - allowed object is `ContextType`

    - #### getFlemishInstitution

          public String getFlemishInstitution()

      Gets the value of the flemishInstitution property.
      Returns:
        possible object is `String`

    - #### setFlemishInstitution

          public void setFlemishInstitution(String value)

      Sets the value of the flemishInstitution property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEnterpriseNumber

          public String getEnterpriseNumber()

      Gets the value of the enterpriseNumber property.
      Returns:
        possible object is `String`

    - #### setEnterpriseNumber

          public void setEnterpriseNumber(String value)

      Sets the value of the enterpriseNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTriggerSource

          public String getTriggerSource()

      Gets the value of the triggerSource property.
      Returns:
        possible object is `String`

    - #### setTriggerSource

          public void setTriggerSource(String value)

      Sets the value of the triggerSource property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRectificationDateTime

          public org.joda.time.DateTime getRectificationDateTime()

      Gets the value of the rectificationDateTime property.
      Returns:
        possible object is `String`

    - #### setRectificationDateTime

          public void setRectificationDateTime(org.joda.time.DateTime value)

      Sets the value of the rectificationDateTime property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRectificationMotivation

          public String getRectificationMotivation()

      Gets the value of the rectificationMotivation property.
      Returns:
        possible object is `String`

    - #### setRectificationMotivation

          public void setRectificationMotivation(String value)

      Sets the value of the rectificationMotivation property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.